Bug 1381661 - Review Request: obs-build - A generic package build script
Summary: Review Request: obs-build - A generic package build script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-04 16:31 UTC by Neal Gompa
Modified: 2017-07-31 18:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-06 00:23:49 UTC
Type: ---
msuchy: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2016-10-04 16:31:07 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/obs-build.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/obs-build-20160809-228.1.1.fc24.src.rpm

Description:
This package provides a script for building packages in a chroot environment.
It is commonly used with the Open Build Service as the engine for building
packages for a wide variety of distributions.


Fedora Account System Username: ngompa

Comment 1 Miroslav Suchý 2016-10-05 08:20:54 UTC
If you intend to package rest of OBS you may check chapter 5 from http://is.muni.cz/th/325243/fi_m/thesis.pdf

Comment 2 Miroslav Suchý 2016-10-05 08:36:28 UTC
Package looks good.

My only concern is license.
License check say it that everythin is just GPL and only GPL (v2) are:
--------
obs-build-20160809/build-pkg
obs-build-20160809/build-pkg-arch

Can you check it? And probebly put comment in spec file to clarify which part use which license.

Comment 3 Neal Gompa 2016-10-05 11:35:20 UTC
I got the license tags from the SUSE spec[1] and translated it to our short tags. Since SUSE is the upstream and they have a spec, I trust that the tag information is correct.

[1]: https://build.opensuse.org/package/view_file/openSUSE:Tools/build/build.spec?expand=1

Comment 4 Neal Gompa 2016-10-05 11:42:08 UTC
(In reply to Miroslav Suchý from comment #1)
> If you intend to package rest of OBS you may check chapter 5 from
> http://is.muni.cz/th/325243/fi_m/thesis.pdf

I do intend to try to package the rest of OBS, and I've seen Josef's thesis before. I've addressed the Net::RabbitMQ issue before OBS 2.7 was released[1], so that unblocks the OBS backend. I'm going to evaluate what the state of these things are for API and frontend, soon.

[1]: https://github.com/openSUSE/open-build-service/commit/3cde6d39ae388e75a24779461651709a069262a0

Comment 5 Miroslav Suchý 2016-10-05 17:38:47 UTC
> I do intend to try to package the rest of OBS, and I've seen Josef's thesis before. I've addressed the Net::RabbitMQ issue before OBS 2.7 was released[1], so that unblocks the OBS backend. I'm going to evaluate what the state of these things are for API and frontend, soon.

Nice. Thank you for doing this.

> I trust that the tag information is correct.

I learned that OBS sometimes inherit long history, which was not 100% correct originally. Can you please check it?

Here is complete output of licensecheck:

*No copyright* GPL
------------------
obs-build-20160809/Build/LiveBuild.pm
obs-build-20160809/build-recipe-livebuild
obs-build-20160809/build-recipe-snapcraft

GPL
---
obs-build-20160809/Build.pm
obs-build-20160809/Build/Arch.pm
obs-build-20160809/Build/Archrepo.pm
obs-build-20160809/Build/Collax.pm
obs-build-20160809/Build/Deb.pm
obs-build-20160809/Build/Debrepo.pm
obs-build-20160809/Build/Kiwi.pm
obs-build-20160809/Build/Mdkrepo.pm
obs-build-20160809/Build/Repo.pm
obs-build-20160809/Build/Rpm.pm
obs-build-20160809/Build/Rpmmd.pm
obs-build-20160809/Build/Snapcraft.pm
obs-build-20160809/Build/Susetags.pm
obs-build-20160809/Build/Zypp.pm
obs-build-20160809/build
obs-build-20160809/build-pkg-deb
obs-build-20160809/build-pkg-rpm
obs-build-20160809/build-recipe
obs-build-20160809/build-recipe-arch
obs-build-20160809/build-recipe-debbuild
obs-build-20160809/build-recipe-debootstrap
obs-build-20160809/build-recipe-dsc
obs-build-20160809/build-recipe-kiwi
obs-build-20160809/build-recipe-mock
obs-build-20160809/build-recipe-preinstallimage
obs-build-20160809/build-recipe-spec
obs-build-20160809/build-vm
obs-build-20160809/build-vm-docker
obs-build-20160809/build-vm-ec2
obs-build-20160809/build-vm-emulator
obs-build-20160809/build-vm-kvm
obs-build-20160809/build-vm-lxc
obs-build-20160809/build-vm-openstack
obs-build-20160809/build-vm-qemu
obs-build-20160809/build-vm-uml
obs-build-20160809/build-vm-xen
obs-build-20160809/build-vm-zvm
obs-build-20160809/changelog2spec
obs-build-20160809/common_functions
obs-build-20160809/computeblocklists
obs-build-20160809/createarchdeps
obs-build-20160809/createdirdeps
obs-build-20160809/createmdkdeps
obs-build-20160809/createrepomddeps
obs-build-20160809/createyastdeps
obs-build-20160809/createzyppdeps
obs-build-20160809/debtransform
obs-build-20160809/debtransformbz2
obs-build-20160809/debtransformzip
obs-build-20160809/download
obs-build-20160809/emulator/emulator.sh
obs-build-20160809/expanddeps
obs-build-20160809/extractbuild
obs-build-20160809/getbinaryid
obs-build-20160809/init_buildsystem
obs-build-20160809/initvm.c
obs-build-20160809/killchroot
obs-build-20160809/listinstalled
obs-build-20160809/mkbaselibs
obs-build-20160809/mkdrpms
obs-build-20160809/order
obs-build-20160809/queryconfig
obs-build-20160809/signdummy
obs-build-20160809/spec2changelog
obs-build-20160809/spec_add_patch
obs-build-20160809/spectool
obs-build-20160809/substitutedeps
obs-build-20160809/t/dist
obs-build-20160809/t/live-build
obs-build-20160809/unrpm
obs-build-20160809/vc

GPL (v2)
--------
obs-build-20160809/build-pkg
obs-build-20160809/build-pkg-arch

GPL (with incorrect FSF address)
--------------------------------
obs-build-20160809/test/common

Unknown or generated
--------------------
obs-build-20160809/Build/SimpleXML.pm
obs-build-20160809/COPYING
obs-build-20160809/Makefile
obs-build-20160809/README
obs-build-20160809/build-recipe-collax
obs-build-20160809/build-recipe-simpleimage
obs-build-20160809/build-vm-pvm
obs-build-20160809/createdebdeps
obs-build-20160809/debtransformxz
obs-build-20160809/qemu-reg
obs-build-20160809/runservices
obs-build-20160809/telnet_login_wrapper
obs-build-20160809/test-debtransform/run.sh
obs-build-20160809/test/config
obs-build-20160809/test/testbuild.sh

Comment 6 Neal Gompa 2016-10-25 14:51:36 UTC
I've revised the spec with an updated license tag, and included a patch to apply the clarifications to the package.

Spec URL: http://kinginuyasha.enanocms.org/downloads/obs-build.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/obs-build-20160809-228.1.2.fc24.src.rpm

Comment 7 Miroslav Suchý 2016-10-26 08:11:30 UTC
APPROVED

Comment 8 Gwyn Ciesla 2016-10-26 16:09:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/obs-build

Comment 9 Fedora Update System 2016-10-28 14:55:18 UTC
obs-build-20161025-231.1.1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2a93a2fb3

Comment 10 Fedora Update System 2016-10-28 15:55:07 UTC
obs-build-20161025-231.1.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1a6aec546

Comment 11 Fedora Update System 2016-10-29 03:55:08 UTC
obs-build-20161025-231.1.1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-56cfc3afd5

Comment 12 Fedora Update System 2016-11-03 18:21:44 UTC
obs-build-20161025-231.1.1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-06 00:23:49 UTC
obs-build-20161025-231.1.1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-06 23:21:31 UTC
obs-build-20161025-231.1.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-11-19 21:02:58 UTC
obs-build-20161025-231.1.1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.